Settings
Set TTS model quality
PUT
Set TTS model quality. Unloads the current model and clears voice prompt cache if changed.
quality*QualityQuality preset ID
Successful Response
application/json- response
success*SuccessWhether the operation succeeded
changed*ChangedWhether the quality was actually changed
needs_reload?Needs ReloadWhether the TTS model needs to be reloaded
Default
falsemessage?|Optional status message
curl -X PUT 'http://127.0.0.1:8100/api/v1/settings/model-quality?quality=string'Example Response
{ "success": true, "changed": true, "needs_reload": false, "message": "string"}